import { jsx } from "react/jsx-runtime";
import { BatteryPlusIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const BatteryPlus = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "BatteryPlus", ...props, children: /* @__PURE__ */ jsx(BatteryPlusIcon, { weight: variant }) });
  }
);
BatteryPlus.displayName = "BatteryPlus";
Object.assign(BatteryPlus, { isGdsIcon: true });
export {
  BatteryPlus
};
